#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "plplot.h"
#include "drp.h"
#include "options.h"

#define NO  0
#define YES 1  

char PROGRAM_NAME[] = "clg";
char description[] = "clear the plot area";
char required[] = "";
struct _options options[] = {
{ "-help",			"Print out this message" },
{NULL, NULL }};

void ParseOpts(int *pargc, char ***pargv)
{
    char *opt, *optarg;

    opt = (*pargv)[0] + 1;

    if (!strcmp(opt, "help")) {
	Help();
	exit(EX_SUCCESS);
    }
    Syntax(**pargv);
}

main(int argc, char *argv[])
{
    FILE *meta;
    int error;
    static char metaname[MAXNAMLEN+1];
  
    GetOpts(argc, argv);

    if (fork() == 0) {
	strcpy(metaname, getenv("HOME"));
	strcat(metaname, METAFILE);
	meta = fopen(metaname, "w");
	if (meta != NULL) {
	    /* plsfile(meta);
	       plstart("plmeta", 1, 1);
	       plend(); */
	    fclose(meta);
	}
	exit(0);
    } else {
	plstart(PLDEVICE, 1, 1); 
	plclr();
	plend();
	exit (0);
    }
}
