#include <math.h>
#include "plplot.h"

#define RASTER 10

static int seed = 0;
static PLFLT xbox[5], ybox[5];
static PLFLT xraster[RASTER+1], yraster[RASTER+1];

void grey(float shade, float x, float y, float stepx, float stepy, float tilt)
{
    float random;
    
    int i, j, hit;

    xbox[0] = x - 0.5*stepx*cos(tilt) - 0.5*stepy*sin(tilt);
    xbox[1] = x + 0.5*stepx*cos(tilt) - 0.5*stepy*sin(tilt);
    xbox[2] = x + 0.5*stepx*cos(tilt) + 0.5*stepy*sin(tilt);
    xbox[3] = x - 0.5*stepx*cos(tilt) + 0.5*stepy*sin(tilt);
    xbox[4] = xbox[0];
    ybox[0] = y - 0.5*stepy*cos(tilt) + 0.5*stepx*sin(tilt);
    ybox[1] = y - 0.5*stepy*cos(tilt) - 0.5*stepx*sin(tilt);
    ybox[2] = y + 0.5*stepy*cos(tilt) - 0.5*stepx*sin(tilt);
    ybox[3] = y + 0.5*stepy*cos(tilt) + 0.5*stepx*sin(tilt);
    ybox[4] = ybox[0];
/*
    plline(5, xbox, ybox); 
*/
    shade = 0.5*shade+0.02;
    plarea(5, xbox, ybox, shade);
/*
    for (i = -RASTER/2; i <= RASTER/2; i++) {
	hit = 0;
	for (j = -RASTER/2; j <= RASTER/2; j++) {
	    seed = (7141*seed+54773)%259200;
	    random = (float)seed/259200.0;
	    if (shade > random) {
		xraster[hit] = x + i*stepx*cos(tilt)/RASTER 
		  + j*stepy*sin(tilt)/RASTER;
		yraster[hit] = y + j*stepy*cos(tilt)/RASTER 
		  - i*stepx*sin(tilt)/RASTER;
		hit++;
	    }
	}
	plpoin(hit, xraster, yraster, 1);
    }
    */
}
