#include <stdio.h>
#include "drp.h"
#include "options.h"

char PROGRAM_NAME[] = "zero";
char description[] = "clear hold area";
char required[] = "";
struct _options options[] = {
{ "-help",			"Print out this message" },
{NULL, NULL }};

void ParseOpts(int *pargc, char ***pargv)
{
    char *opt, *optarg;

    opt = (*pargv)[0] + 1;

    if (!strcmp(opt, "help")) {
	Help();
	exit(0);
    }
    Syntax(**pargv);
}

SCAN AveScan;
  
main (int argc, char *argv[])
{
   int i;
  
   GetOpts(argc, argv);

   AveScan.NChannel = 0;
   AveScan.Version = DRPVERSION;
   AveScan.ScanNo = 0;
   AveScan.SubScan = 0;
   AveScan.Year  = 0;
   AveScan.Month = 0;
   AveScan.Day   = 0;
   AveScan.UTHour = 0;
   AveScan.UTMin  = 0;
   AveScan.UTSec  = 0;
   AveScan.STHour = 0;
   AveScan.STMin  = 0;
   AveScan.STSec  = 0;
   AveScan.Longitude = 0.0;
   AveScan.Latitude  = 0.0;
   AveScan.Azimuth   = 0.0;
   AveScan.Elevation = 0.0;
   AveScan.Tcal    = 0.0;
   AveScan.Tsys    = 0.0;
   AveScan.IntTime = 0.0;
   AveScan.Bandwidth = 0.0;
   AveScan.FreqRes   = 0.0;
   AveScan.RestFreq  = 0.0;
   AveScan.SkyFreq   = 0.0;
   AveScan.VSource   = 0.0;
   AveScan.VelRes    = 0.0;
   for (i=0; i<2000; i++) AveScan.Channels[i] = 0.0;
  
   PutAve (&AveScan);
  
   exit (0);
}
