#include <stdio.h>
#include <string.h>
#include "drp.h"
#include "options.h"

char PROGRAM_NAME[] = "subtract";
char description[] = "subtract temp area from work area";
char required[] = "";
struct _options options[] = {
{ "-help",			"Print out this message" },
{NULL, NULL }};

void ParseOpts(int *pargc, char ***pargv)
{
    char *opt, *optarg;

    opt = (*pargv)[0] + 1;

    if (!strcmp(opt, "help")) {
	Help();
	exit(0);
    }
    Syntax(**pargv);
}

SCAN OnScan, TScan;

main (int argc, char *argv[])
{
   int i;
  
   GetOpts(argc, argv);
   GetScan (&OnScan);
   GetTemp (&TScan);
  
   for (i=0; i<OnScan.NChannel; i++) {
       OnScan.Channels[i] -= TScan.Channels[i];
   }
  
   PutScan (&OnScan);
   exit(0);
}
