#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include "drp.h"
#include "options.h"

static int limits;
static float VxMin, VxMax, VyMin, VyMax;

char PROGRAM_NAME[] = "user";
char description[] = "will do whatver you program it to do ...";
char required[] = "";
struct _options options[] = {
{ "-help",			"Print out this message" },
{NULL, NULL }};

void ParseOpts(int *pargc, char ***pargv)
{
    char *opt, *optarg;

    opt = (*pargv)[0] + 1;

    if (!strcmp(opt, "limit")) {
	GetOption(&optarg, pargc, pargv);
	VxMin = (float)atof(optarg);
	GetOption(&optarg, pargc, pargv);
	VxMax = (float)atof(optarg);
	GetOption(&optarg, pargc, pargv);
	VyMin = (float)atof(optarg);
	GetOption(&optarg, pargc, pargv);
	VyMax = (float)atof(optarg);
	limits = 1;
	return;
    }

    if (!strcmp(opt, "help")) {
	Help();
	exit(0);
    }

    Syntax(**pargv);
}

SCAN OnScan;

#define VIEWPORT  2

main(int argc, char *argv[])
{
  int i;

  GetOpts(argc, argv);
  if (!limits) exit(1);
  
  GetScan(&OnScan);
  
  OnScan.flag[2] = VIEWPORT;
  OnScan.work[4] = VxMin;
  OnScan.work[5] = VxMax;
  OnScan.work[6] = VyMin;
  OnScan.work[7] = VyMax;

/*   printf("flag[%d] = %d\n", 2, OnScan.flag[2]); */
/*   for (i = 4; i < 8; i++) printf("work[%d] = %f\n", i, OnScan.work[i]); */
 
  PutScan (&OnScan);
  
  exit(0);
}
